Bug 1034019 - lcmaps multi-lib conflicts
Summary: lcmaps multi-lib conflicts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lcmaps
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dennis van Dok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-25 05:00 UTC by Orion Poplawski
Modified: 2013-12-14 02:46 UTC (History)
1 user (show)

Fixed In Version: lcmaps-1.6.1-7.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-07 06:58:56 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2013-11-25 05:00:22 UTC
Description of problem:

Trying to install lcmaps.i686 and .x86_64 together:

Transaction check error:
  file /usr/share/doc/lcmaps-1.6.1/lcmaps.db from install of lcmaps-1.6.1-6.fc19.i686 conflicts with file from package lcmaps-1.6.1-6.fc19.x86_64

Expected results:
This should work.

Comment 1 Dennis van Dok 2013-11-25 10:40:15 UTC
Ack. This is due to the 'path' setting in the example db file, which is architecture-dependent.

The fix is rather trivial, I'll issue an update ASAP.

Thanks for catching this.

Comment 2 Dennis van Dok 2013-11-25 12:50:30 UTC
Fixed in http://koji.fedoraproject.org/koji/buildinfo?buildID=480596

If this is ok, I'll push this to updates.

Comment 3 Orion Poplawski 2013-11-26 04:13:13 UTC
That seems to install okay.

Comment 4 Fedora Update System 2013-11-26 11:07:36 UTC
lcmaps-1.6.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lcmaps-1.6.1-7.fc20

Comment 5 Fedora Update System 2013-11-26 18:00:23 UTC
Package lcmaps-1.6.1-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lcmaps-1.6.1-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22160/lcmaps-1.6.1-7.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-11-27 13:33:02 UTC
lcmaps-1.6.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lcmaps-1.6.1-7.fc19

Comment 7 Fedora Update System 2013-11-27 13:35:24 UTC
lcmaps-1.6.1-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lcmaps-1.6.1-7.fc18

Comment 8 Fedora Update System 2013-11-27 13:43:34 UTC
lcmaps-1.6.1-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lcmaps-1.6.1-7.el6

Comment 9 Fedora Update System 2013-11-27 13:45:50 UTC
lcmaps-1.6.1-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lcmaps-1.6.1-7.el5

Comment 10 Fedora Update System 2013-12-07 06:58:56 UTC
lcmaps-1.6.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-12-07 07:05:11 UTC
lcmaps-1.6.1-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-12-13 01:44:49 UTC
lcmaps-1.6.1-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-12-13 01:45:14 UTC
lcmaps-1.6.1-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-12-14 02:46:50 UTC
lcmaps-1.6.1-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.